# This file defines the rank level requirements for a subskill.
# You cannot alter how many ranks a skill has, that is coded into mcMMO directly.
# You can however, change when they unlock, if you make all ranks of a skill level 0 for example every player will have the most powerful version of that skill right away.
# Retro Mode and Standard have separate config settings to make it easier for server owners to understand the difference between the two.
# Retro Mode is setup to be an entirely cosmetic change, keeping the old 0-1000 feeling of mcMMO.
# Retro Mode has 10x faster leveling and 10x higher skill requirements, if you do the math you can see its the same as Standard and only cosmetic!.
###
Alchemy:
    Catalysis:
        Standard:
            Rank_1: 0
        RetroMode:
            Rank_1: 0
    Concoctions:
        Standard:
            Rank_1: 0
            Rank_2: 10
            Rank_3: 20
            Rank_4: 35
            Rank_5: 50
            Rank_6: 75
            Rank_7: 90
            Rank_8: 100
        RetroMode:
            Rank_1: 0
            Rank_2: 100
            Rank_3: 200
            Rank_4: 350
            Rank_5: 500
            Rank_6: 750
            Rank_7: 900
            Rank_8: 1000
Archery:
    ArcheryLimitBreak:
        Standard:
            Rank_1: 10
            Rank_2: 20
            Rank_3: 30
            Rank_4: 40
            Rank_5: 50
            Rank_6: 60
            Rank_7: 70
            Rank_8: 80
            Rank_9: 90
            Rank_10: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 200
            Rank_3: 300
            Rank_4: 400
            Rank_5: 500
            Rank_6: 600
            Rank_7: 700
            Rank_8: 800
            Rank_9: 900
            Rank_10: 1000
    ArrowRetrieval:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    SkillShot:
        Standard:
            Rank_1: 1
            Rank_2: 10
            Rank_3: 15
            Rank_4: 20
            Rank_5: 25
            Rank_6: 30
            Rank_7: 35
            Rank_8: 40
            Rank_9: 45
            Rank_10: 50
            Rank_11: 55
            Rank_12: 60
            Rank_13: 65
            Rank_14: 70
            Rank_15: 75
            Rank_16: 80
            Rank_17: 85
            Rank_18: 90
            Rank_19: 95
            Rank_20: 100
        RetroMode:
            Rank_1: 1
            Rank_2: 100
            Rank_3: 150
            Rank_4: 200
            Rank_5: 250
            Rank_6: 300
            Rank_7: 350
            Rank_8: 400
            Rank_9: 450
            Rank_10: 500
            Rank_11: 550
            Rank_12: 600
            Rank_13: 650
            Rank_14: 700
            Rank_15: 750
            Rank_16: 800
            Rank_17: 850
            Rank_18: 900
            Rank_19: 950
            Rank_20: 1000
Acrobatics:
    Dodge:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
Axes:
    AxesLimitBreak:
        Standard:
            Rank_1: 10
            Rank_2: 20
            Rank_3: 30
            Rank_4: 40
            Rank_5: 50
            Rank_6: 60
            Rank_7: 70
            Rank_8: 80
            Rank_9: 90
            Rank_10: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 200
            Rank_3: 300
            Rank_4: 400
            Rank_5: 500
            Rank_6: 600
            Rank_7: 700
            Rank_8: 800
            Rank_9: 900
            Rank_10: 1000
    SkullSplitter:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    CriticalStrikes:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    GreaterImpact:
        Standard:
            Rank_1: 25
        RetroMode:
            Rank_1: 250
    ArmorImpact:
        Standard:
            Rank_1: 1
            Rank_2: 10
            Rank_3: 15
            Rank_4: 20
            Rank_5: 25
            Rank_6: 30
            Rank_7: 35
            Rank_8: 40
            Rank_9: 45
            Rank_10: 50
            Rank_11: 55
            Rank_12: 60
            Rank_13: 65
            Rank_14: 70
            Rank_15: 75
            Rank_16: 80
            Rank_17: 85
            Rank_18: 90
            Rank_19: 95
            Rank_20: 100
        RetroMode:
            Rank_1: 1
            Rank_2: 100
            Rank_3: 150
            Rank_4: 200
            Rank_5: 250
            Rank_6: 300
            Rank_7: 350
            Rank_8: 400
            Rank_9: 450
            Rank_10: 500
            Rank_11: 550
            Rank_12: 600
            Rank_13: 650
            Rank_14: 700
            Rank_15: 750
            Rank_16: 800
            Rank_17: 850
            Rank_18: 900
            Rank_19: 950
            Rank_20: 1000
    AxeMastery:
        Standard:
            Rank_1: 5
            Rank_2: 10
            Rank_3: 15
            Rank_4: 20
        RetroMode:
            Rank_1: 50
            Rank_2: 100
            Rank_3: 150
            Rank_4: 200
Taming:
    BeastLore:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    Gore:
        Standard:
            Rank_1: 15
        RetroMode:
            Rank_1: 150
    CallOfTheWild:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    Pummel:
        Standard:
            Rank_1: 20
        RetroMode:
            Rank_1: 200
    FastFoodService:
        Standard:
            Rank_1: 20
        RetroMode:
            Rank_1: 200
    EnvironmentallyAware:
        Standard:
            Rank_1: 10
        RetroMode:
            Rank_1: 100
    ThickFur:
        Standard:
            Rank_1: 25
        RetroMode:
            Rank_1: 250
    HolyHound:
        Standard:
            Rank_1: 35
        RetroMode:
            Rank_1: 350
    ShockProof:
        Standard:
            Rank_1: 50
        RetroMode:
            Rank_1: 500
    SharpenedClaws:
        Standard:
            Rank_1: 75
        RetroMode:
            Rank_1: 750
Smelting:
    FuelEfficiency:
        Standard:
            Rank_1: 10
            Rank_2: 50
            Rank_3: 75
        RetroMode:
            Rank_1: 100
            Rank_2: 500
            Rank_3: 750
    UnderstandingTheArt:
        Standard:
            Rank_1: 10
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000
Salvage:
    ScrapCollector:
        Standard:
            Rank_1: 1
            Rank_2: 10
            Rank_3: 15
            Rank_4: 20
            Rank_5: 25
            Rank_6: 30
            Rank_7: 35
            Rank_8: 40
        RetroMode:
            Rank_1: 1
            Rank_2: 100
            Rank_3: 150
            Rank_4: 200
            Rank_5: 250
            Rank_6: 300
            Rank_7: 350
            Rank_8: 400
    ArcaneSalvage:
        Standard:
            Rank_1: 10
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000
Mining:
    DoubleDrops:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    SuperBreaker:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    # For now make sure rank 1 is the same as blast mining rank 1, it's a bit hacky, I'll fix it later
    BiggerBombs:
        Standard:
            Rank_1: 10
        RetroMode:
            Rank_1: 100
    # For now make sure rank 1 is the same as blast mining rank 1, it's a bit hacky, I'll fix it later
    DemolitionsExpertise:
        Standard:
            Rank_1: 10
        RetroMode:
            Rank_1: 100
    BlastMining:
        Standard:
            Rank_1: 10
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000
Herbalism:
    DoubleDrops:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    GreenTerra:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    GreenThumb:
        Standard:
            Rank_1: 25
            Rank_2: 50
            Rank_3: 75
            Rank_4: 100
        RetroMode:
            Rank_1: 250
            Rank_2: 500
            Rank_3: 750
            Rank_4: 1000
    FarmersDiet:
        Standard:
            Rank_1: 20
            Rank_2: 40
            Rank_3: 60
            Rank_4: 80
            Rank_5: 100
        RetroMode:
            Rank_1: 200
            Rank_2: 400
            Rank_3: 600
            Rank_4: 800
            Rank_5: 1000
Fishing:
    MagicHunter:
        Standard:
            Rank_1: 20
        RetroMode:
            Rank_1: 200
    Shake:
        Standard:
            Rank_1: 15
            Rank_2: 20
            Rank_3: 25
            Rank_4: 30
            Rank_5: 40
            Rank_6: 50
            Rank_7: 60
            Rank_8: 70
        RetroMode:
            Rank_1: 150
            Rank_2: 200
            Rank_3: 250
            Rank_4: 300
            Rank_5: 400
            Rank_6: 500
            Rank_7: 600
            Rank_8: 700
    MasterAngler:
        Standard:
            Rank_1: 1
            Rank_2: 20
            Rank_3: 30
            Rank_4: 40
            Rank_5: 60
            Rank_6: 70
            Rank_7: 80
            Rank_8: 90
        RetroMode:
            Rank_1: 1
            Rank_2: 200
            Rank_3: 300
            Rank_4: 400
            Rank_5: 600
            Rank_6: 700
            Rank_7: 800
            Rank_8: 900
    IceFishing:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    FishermansDiet:
        Standard:
            Rank_1: 20
            Rank_2: 40
            Rank_3: 60
            Rank_4: 80
            Rank_5: 100
        RetroMode:
            Rank_1: 200
            Rank_2: 400
            Rank_3: 600
            Rank_4: 800
            Rank_5: 1000
    TreasureHunter:
        Standard:
            Rank_1: 1
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 1
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000
Swords:
    SwordsLimitBreak:
        Standard:
            Rank_1: 10
            Rank_2: 20
            Rank_3: 30
            Rank_4: 40
            Rank_5: 50
            Rank_6: 60
            Rank_7: 70
            Rank_8: 80
            Rank_9: 90
            Rank_10: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 200
            Rank_3: 300
            Rank_4: 400
            Rank_5: 500
            Rank_6: 600
            Rank_7: 700
            Rank_8: 800
            Rank_9: 900
            Rank_10: 1000
    Stab:
        Standard:
            Rank_1: 75
            Rank_2: 100
        RetroMode:
            Rank_1: 750
            Rank_2: 1000
    CounterAttack:
        Standard:
            Rank_1: 20
        RetroMode:
            Rank_1: 200
    Rupture:
        Standard:
            Rank_1: 1
            Rank_2: 15
            Rank_3: 75
            Rank_4: 90
        RetroMode:
            Rank_1: 1
            Rank_2: 150
            Rank_3: 750
            Rank_4: 900
    SerratedStrikes:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
Unarmed:
    UnarmedLimitBreak:
        Standard:
            Rank_1: 10
            Rank_2: 20
            Rank_3: 30
            Rank_4: 40
            Rank_5: 50
            Rank_6: 60
            Rank_7: 70
            Rank_8: 80
            Rank_9: 90
            Rank_10: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 200
            Rank_3: 300
            Rank_4: 400
            Rank_5: 500
            Rank_6: 600
            Rank_7: 700
            Rank_8: 800
            Rank_9: 900
            Rank_10: 1000
    Berserk:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    ArrowDeflect:
        Standard:
            Rank_1: 20
        RetroMode:
            Rank_1: 200
    Disarm:
        Standard:
            Rank_1: 25
        RetroMode:
            Rank_1: 250
    IronGrip:
        Standard:
            Rank_1: 60
        RetroMode:
            Rank_1: 600
    SteelArmStyle:
        Standard:
            Rank_1: 1
            Rank_2: 10
            Rank_3: 15
            Rank_4: 20
            Rank_5: 25
            Rank_6: 30
            Rank_7: 35
            Rank_8: 40
            Rank_9: 45
            Rank_10: 50
            Rank_11: 55
            Rank_12: 60
            Rank_13: 65
            Rank_14: 70
            Rank_15: 75
            Rank_16: 80
            Rank_17: 85
            Rank_18: 90
            Rank_19: 95
            Rank_20: 100
        RetroMode:
            Rank_1: 1
            Rank_2: 100
            Rank_3: 150
            Rank_4: 200
            Rank_5: 250
            Rank_6: 300
            Rank_7: 350
            Rank_8: 400
            Rank_9: 450
            Rank_10: 500
            Rank_11: 550
            Rank_12: 600
            Rank_13: 650
            Rank_14: 700
            Rank_15: 750
            Rank_16: 800
            Rank_17: 850
            Rank_18: 900
            Rank_19: 950
            Rank_20: 1000

Woodcutting:
    TreeFeller:
        Standard:
            Rank_1: 5
            Rank_2: 25
            Rank_3: 50
            Rank_4: 75
            Rank_5: 100
        RetroMode:
            Rank_1: 50
            Rank_2: 250
            Rank_3: 500
            Rank_4: 750
            Rank_5: 1000
    HarvestLumber:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    KnockOnWood:
        Standard:
            Rank_1: 30
            Rank_2: 60
        RetroMode:
            Rank_1: 300
            Rank_2: 600
    LeafBlower:
        Standard:
            Rank_1: 15
            Rank_2: 35
            Rank_3: 65
        RetroMode:
            Rank_1: 150
            Rank_2: 350
            Rank_3: 650
Excavation:
    GigaDrillBreaker:
        Standard:
            Rank_1: 5
        RetroMode:
            Rank_1: 50
    Archaeology:
        Standard:
            Rank_1: 1
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 1
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000
Repair:
    RepairMastery:
        Standard:
            Rank_1: 1
        RetroMode:
            Rank_1: 1
    SuperRepair:
        Standard:
            Rank_1: 40
        RetroMode:
            Rank_1: 400
    ArcaneForging:
        Standard:
            Rank_1: 10
            Rank_2: 25
            Rank_3: 35
            Rank_4: 50
            Rank_5: 65
            Rank_6: 75
            Rank_7: 85
            Rank_8: 100
        RetroMode:
            Rank_1: 100
            Rank_2: 250
            Rank_3: 350
            Rank_4: 500
            Rank_5: 650
            Rank_6: 750
            Rank_7: 850
            Rank_8: 1000